PHP 手册
上一页 |  | 下一页

# http_parse_params

(no version information, might be only in CVS)

http_parse_params -- Parse parameter list

## 说明

object http_parse_params ( string param [, int flags = HTTP_PARAMS_DEFAULT] )

Parse parameter list.

See the params parsing constants table for possible values of the `flags` argument.

## 参数

`param`

  Parameters

`flags`

  Parse flags

## 返回值

Returns parameter list as stdClass object.

## 范例

例 1. A http_parse_params() example

`<?php var_dump(http_parse_params("text/html; charset=\"utf8\"")); ?>`

上例将输出：

    object(stdClass)#1 (1) {
      ["params"]=>
      array(2) {
        [0]=>
        string(9) "text/html"
        [1]=>
        array(1) {
          ["charset"]=>
          string(4) "utf8"
        }
      }
    }

## 参见

http_parse_headers()
http_parse_cookie()
http_parse_message()

上一页 | 起始页 | 下一页
http_parse_message | 上一级 | http_persistent_handles_count